atom_feed(
  :language => 'ja-JP',
  :root_url => root_url,
  :url => root_url(:format => :atom),
  :id => root_url
) do |feed|
  feed.title MagicNumber['profile']['users']['caption']
  feed.subtitle sanitize(MagicNumber['profile']['users']['description'], :tags => %w(a p img br))
  feed.updated Time.now
  feed.author {|author| author.name(MagicNumber['profile']['web_master'])}

  @comic.stories.each do |story|
    feed.entry(
      story.panel,
      :url => panel_url(story.panel),
      :id => panel_url(story.panel),
      :published => story.panel.updated_at,
      :updated => story.panel.updated_at
    ) do |item|
      item.title(story.panel.caption)
      item.content(story.panel.scenario, :type => 'html')
      item.author {|author| author.name(story.panel.author.name)}
    end
  end
end
